
package de.ivu.elect.business.dokumente.entity;

import java.io.Serializable;

import javax.annotation.Nullable;

public class DokumentArchiveUploadResultEntry implements Serializable {

  private static final long serialVersionUID = 1L;

  private final String zipEntryPathName;

  private final String zipEntryFileName;

  private final String dokumentVorlageName;

  private final String dokumentVorlageVersionsnummer;

  private final DokumentVorlageArt dokumentVorlageArt;

  private final DokumentArchiveUploadResultStatus status;

  public DokumentArchiveUploadResultEntry(String zipEntryPathName, String zipEntryFileName, String dokumentVorlageName, @Nullable DokumentVorlageArt dokumentVorlageArt,
      String dokumentVorlageVersionsnummer, DokumentArchiveUploadResultStatus status) {
    super();

    this.zipEntryPathName = zipEntryPathName;
    this.zipEntryFileName = zipEntryFileName;

    this.dokumentVorlageName = dokumentVorlageName;
    this.dokumentVorlageArt = dokumentVorlageArt;
    this.dokumentVorlageVersionsnummer = dokumentVorlageVersionsnummer;

    this.status = status;
  }

  public Long getId() {
    return 0L;
  }

  public String getZipEntryPathName() {
    return zipEntryPathName;
  }

  public String getZipEntryFileName() {
    return zipEntryFileName;
  }

  public String getDokumentVorlageName() {
    return dokumentVorlageName;
  }

  public String getDokumentVorlageVersionsnummer() {
    return dokumentVorlageVersionsnummer;
  }

  public DokumentVorlageArt getDokumentVorlageArt() {
    return dokumentVorlageArt;
  }

  public DokumentArchiveUploadResultStatus getStatus() {
    return status;
  }

  @Override
  public String toString() {
    return "DokumentArchiveUploadResultEntry{" +
      "zipEntryPathName='" + zipEntryPathName + '\'' +
      ", zipEntryFileName='" + zipEntryFileName + '\'' +
      ", dokumentVorlageName='" + dokumentVorlageName + '\'' +
      ", dokumentVorlageVersionsnummer='" + dokumentVorlageVersionsnummer + '\'' +
      ", dokumentVorlageArt=" + dokumentVorlageArt +
      ", status=" + status +
      '}';
  }
}
